#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD1,0x40,0x68,0x71,0xBD,0x99,0x8C,0x85,0x8B,0x5C,0xA5,0xE1,
		0x77,0x5D,0xD0,0x44,0xCA,0x94,0x40,0xA4,0xD2,0xA6,0xAB,0x8B,
		0x28,0x37,0x7B,0x32,0x83,0xC1,0xA1,0x2C,0x86,0x36,0x16,0xE8,
		0x8A,0xF6,0xF7,0xC9,0xD7,0xC9,0xE9,0xB9,0x88,0xC1,0x7C,0x0E,
		0x82,0x1E,0x62,0xD1,0xEA,0x12,0x27,0x77,0xAC,0xE9,0x2E,0x1A,
		0x2B,0xA4,0xB0,0x1F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
